# AIVehicleList_SharedOrders Class Reference
[Classes that create a list of items.]

Creates a list of vehicles that share orders. More...

`#include <ai_vehiclelist.hpp>`

Inheritance diagram for AIVehicleList_SharedOrders:

## Public Member Functions
| AIVehicleList_SharedOrders (VehicleID vehicle_id)
## Static Public Member Functions
static const char * | GetClassName ()
| Get the name of this class to identify it towards squirrel.

## Detailed Description

Creates a list of vehicles that share orders.

Definition at line 68 of file ai_vehiclelist.hpp.

## Constructor & Destructor Documentation

AIVehicleList_SharedOrders::AIVehicleList_SharedOrders | ( | VehicleID | vehicle_id | ) |

Parameters:

  | vehicle_id | The vehicle that the rest shared orders with.

Definition at line 99 of file ai_vehiclelist.cpp.

References AIList::AddItem(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem<&_vehicle_pool >::Get(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem< Tpool >::index, AIVehicle::IsValidVehicle(), and Vehicle::NextShared().

## Member Function Documentation

static const char* AIVehicleList_SharedOrders::GetClassName | ( |  | ) | `[inline, static]`

Get the name of this class to identify it towards squirrel.

Reimplemented from AIList.

Definition at line 71 of file ai_vehiclelist.hpp.

The documentation for this class was generated from the following files:

- src/ai/api/ai_vehiclelist.hpp
- src/ai/api/ai_vehiclelist.cpp